Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 615085 - system asking for 3g broadband pin in the clear
system asking for 3g broadband pin in the clear
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
13
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-15 17:29 EDT by Klaus Lichtenwalder
Modified: 2010-09-26 00:34 EDT (History)
2 users (show)

See Also:
Fixed In Version: NetworkManager-0.8.1-4.git20100817.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-23 18:05:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Bugzilla 620480 None None None Never

  None (edit)
Description Klaus Lichtenwalder 2010-07-15 17:29:05 EDT
Description of problem:
When inserting my 3g broadband usb modem, a popup ask for the sim pin. The entry is in the clear, everybody can read it. The pin is also specified in the network manager connection definition, but this is not used. 

Version-Release number of selected component (if applicable):
NetworkManager-0.8.1-0.1.git20100510.fc13.i686
ModemManager-0.3.13.git20100507.fc13.i686


How reproducible:
Insert usb 3g modem

  
Actual results:
Asks for pin, entry is in clear text

Expected results:
Either entry is obfuscated (`*') or definition from NetworkManager stored in keyring is used. If the clear text entry is aborted, when trying to connect NetworkManager/ModemManager complain about pin not available
(GSM modem enable failed: (32)  SIM PIN required)


Additional info:
Hope this is correct here, more information will be supported of course
Comment 1 Christoph Wickert 2010-07-15 17:51:27 EDT
lxde-common is not the correct component, even if you have experienced this in LXDE. The dialog is from NetworkManager-gnome, reassigning to NetworkManager.
Comment 2 Dan Williams 2010-08-07 23:22:36 EDT
Upstream fix:

cda2ffae25954d28fbce803b05cf65cfb2a6cd46 (master)
ce44253f49d2288ff9cd6bedd5a13f7886c55ac1 (0.8.x)
Comment 3 Fedora Update System 2010-08-17 13:10:26 EDT
NetworkManager-0.8.1-4.git20100817.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/NetworkManager-0.8.1-4.git20100817.fc12
Comment 4 Fedora Update System 2010-08-17 13:12:14 EDT
NetworkManager-0.8.1-4.git20100817.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/NetworkManager-0.8.1-4.git20100817.fc13
Comment 5 Fedora Update System 2010-08-17 13:14:07 EDT
NetworkManager-0.8.1-4.git20100817.fc14 has been submitted as an update for Fedora 14.
http://admin.fedoraproject.org/updates/NetworkManager-0.8.1-4.git20100817.fc14
Comment 6 Fedora Update System 2010-08-19 16:32:38 EDT
NetworkManager-0.8.1-5.git20100818.fc14 has been submitted as an update for Fedora 14.
http://admin.fedoraproject.org/updates/NetworkManager-0.8.1-5.git20100818.fc14
Comment 7 Fedora Update System 2010-08-19 22:13:42 EDT
NetworkManager-0.8.1-4.git20100817.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update NetworkManager'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/NetworkManager-0.8.1-4.git20100817.fc13
Comment 8 Klaus Lichtenwalder 2010-08-20 09:47:17 EDT
I'm sorry to have to tell you that the modem pin still gets echoed in the clear. The "show it" button doesn't do anything.
Comment 9 Dan Williams 2010-08-20 12:32:33 EDT
(In reply to comment #8)
> I'm sorry to have to tell you that the modem pin still gets echoed in the
> clear. The "show it" button doesn't do anything.

Have you rebooted or logged out after applying the update?  Basically 'nm-applet' must be restarted to enable this fix.
Comment 10 Dan Williams 2010-08-20 12:42:07 EDT
(In reply to comment #8)
> I'm sorry to have to tell you that the modem pin still gets echoed in the
> clear. The "show it" button doesn't do anything.

So this bug is about the *initial* PIN dialog when you plugin in a locked adapter.  I have investigated and found that if you cancel the initial pin dialog, and then attempt to activate the 3G connection, a second PIN dialog pops up that does not obscure the PIN.  I'll fix that too, but this bug is about the *initial* PIN dialog, and if you enter your PIN there (where it is obscured) then you will not be asked to unlock it later with the other dialog.
Comment 11 Klaus Lichtenwalder 2010-08-20 13:47:11 EDT
Ok, I restarted Networkmanager and modemmanager, and I am fairly sure that I did everything to have it using the new files. Will try again thoroughly. Though, if I look at the glade file, the Visibility flag is true, which means echo. I'm aware that this is by no way a proof...

Keep you informed.

Klaus
Comment 12 Dan Williams 2010-08-20 15:13:46 EDT
(In reply to comment #11)
> Ok, I restarted Networkmanager and modemmanager, and I am fairly sure that I
> did everything to have it using the new files. Will try again thoroughly.
> Though, if I look at the glade file, the Visibility flag is true, which means
> echo. I'm aware that this is by no way a proof...

Yeah, there are actually two dialogs; the initial one that pops up immediately when you plug your card in *does* obscure the password.  If you cancel that, and then later select the modem connection from the menu, the dialog that shows up there does *not* have the password obscured.  But this bug is about the first dialog and if you enter the PIN in that first dialog, then you won't ever see the second one.  I will fix the second dialog, but I don't think that priority is as high given that the first dialog is now fixed.
Comment 13 Klaus Lichtenwalder 2010-08-20 15:38:53 EDT
My bad. You're right, whatever I've done I've not tested it correctly... Will adjust the rating on admin. Sorry for that,

Klaus
Comment 14 Fedora Update System 2010-08-23 18:05:09 EDT
NetworkManager-0.8.1-4.git20100817.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2010-08-23 21:20:14 EDT
NetworkManager-0.8.1-5.git20100818.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2010-08-31 21:25:57 EDT
NetworkManager-0.8.1-6.git20100831.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/NetworkManager-0.8.1-6.git20100831.fc13
Comment 17 Fedora Update System 2010-08-31 21:42:58 EDT
NetworkManager-0.8.1-6.git20100831.fc12 has been submitted as an update for Fedora 12.
https://admin.fedoraproject.org/updates/NetworkManager-0.8.1-6.git20100831.fc12
Comment 18 Fedora Update System 2010-09-26 00:34:34 EDT
NetworkManager-0.8.1-6.git20100831.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.